Voice Editor Essential

Voice Editor Essential
Perangkat yang Kompatibel iPad 2 / iPad
OS (Sistem Operasi) yang Kompatibel Compatible with iPad. Requires iOS 4.3 or later
Bahasa English, Japanese